MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
EPollFD Class Reference

A class that wraps Linux epoll. More...

`#include <EPollFD.hxx>`

## Public Member Functions
| EPollFD ()
| ~EPollFD ()
| EPollFD (const EPollFD &other)=delete
EPollFD & | operator= (const EPollFD &other)=delete
int | Wait (epoll_event *events, int maxevents, int timeout)
bool | Control (int op, int _fd, epoll_event *event)
bool | Add (int _fd, uint32_t events, void *ptr)
bool | Modify (int _fd, uint32_t events, void *ptr)
bool | Remove (int _fd)

## Detailed Description

A class that wraps Linux epoll.

Errors in the constructor are fatal.

Definition at line 37 of file EPollFD.hxx.

## Constructor & Destructor Documentation

EPollFD::EPollFD | ( |  | ) |

EPollFD::~EPollFD | ( |  | ) |
| inline

Definition at line 43 of file EPollFD.hxx.

EPollFD::EPollFD | ( | const EPollFD & | other | ) |
| delete

## Member Function Documentation

bool EPollFD::Add | ( | int | _fd,
|  | uint32_t | events,
|  | void * | ptr
| ) |  |
| inline

Definition at line 60 of file EPollFD.hxx.

bool EPollFD::Control | ( | int | op,
|  | int | _fd,
|  | epoll_event * | event
| ) |  |
| inline

Definition at line 56 of file EPollFD.hxx.

bool EPollFD::Modify | ( | int | _fd,
|  | uint32_t | events,
|  | void * | ptr
| ) |  |
| inline

Definition at line 68 of file EPollFD.hxx.

EPollFD& EPollFD::operator= | ( | const EPollFD & | other | ) |
| delete

bool EPollFD::Remove | ( | int | _fd | ) |
| inline

Definition at line 76 of file EPollFD.hxx.

int EPollFD::Wait | ( | epoll_event * | events,
|  | int | maxevents,
|  | int | timeout
| ) |  |
| inline

Definition at line 52 of file EPollFD.hxx.

The documentation for this class was generated from the following file:

- system/EPollFD.hxx